Subject: [bug#36451] [bug#69633] [PATCH v2] gnu: services: postgresql: Don't initdb when directory exists

From: Christopher Baines <[email-masked]>
Date: Wed, 13 Mar 2024 11:01:03 +0000

Dale Mellor <[email-masked]> writes:

> From: Robert Vollmert <[email-masked]>
>
> * gnu/services/databases.scm (postgresql-activation): Check if
> directory exists.
>
> --------------
> Dale Mellor:
>
>      - Modified to make patch apply to head of current master branch.
>      - Verified working, does not break an existing system.
>      - Code change is clean.

I think what I'm missing here is why this change is being made? I think
the PostgreSQL service works at the moment, so what does this change
mean?